package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ActSuppliesConvertrole;
import com.ruoyi.system.domain.ActSuppliesTemplate;
import org.springframework.stereotype.Repository;

/**
 * 通用规则Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-29
 */
@Repository
public interface ActSuppliesConvertroleMapper
{
    /**
     * 查询通用规则
     * 
     * @param id 通用规则ID
     * @return 通用规则
     */
    public ActSuppliesConvertrole selectActSuppliesConvertById(Long id);

    /**
     * 查询通用规则列表
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 通用规则集合
     */
    public List<ActSuppliesConvertrole> selectActSuppliesConvertList(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 新增通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
    public int insertActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 修改通用规则
     * 
     * @param actSuppliesConvertrole 通用规则
     * @return 结果
     */
    public int updateActSuppliesConvert(ActSuppliesConvertrole actSuppliesConvertrole);

    /**
     * 删除通用规则
     * 
     * @param id 通用规则ID
     * @return 结果
     */
    public int deleteActSuppliesConvertById(Long id);

    /**
     * 批量删除通用规则
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteActSuppliesConvertByIds(Long[] ids);

    List<ActSuppliesTemplate> selectActSuppliesConvertListTemp();

    List<ActSuppliesConvertrole> convertRoleList(Integer id);

    List<ActSuppliesConvertrole> convertRoleListid(Integer id);
}
